Index: init_molecule.f
===================================================================
--- init_molecule.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ init_molecule.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,43 +1,40 @@
-! **************************************************************
-!
-! This file contains the subroutines: init_molecule
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
-! FIXME: Data in varfile determines which molecule is changed.
+c **************************************************************
+c
+c This file contains the subroutines: init_molecule
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
+c FIXME: Data in varfile determines which molecule is changed.
 
       subroutine init_molecule(iabin,grpn,grpc,seqfile,varfile)
 
-! ----------------------------------------------------------
-! PURPOSE: construct starting structure of molecule(s)
-!
-!          iabin = 1  : ab Initio using sequence &
-!                       variables given in input files
-!          iabin != 1 : sequence, variable information
-!                       from PDB-file
-!
-!          grpn:        N-terminal group
-!          grpc:        C-terminal group
-!
-! CALLS:   addend,bldmol,c_alfa,getmol,iendst, mklist, nursvr,
-!          pdbread,pdbvars,redseq,redvar,setmvs
-!
-! ----------------------------------------------------------
+c ----------------------------------------------------------
+c PURPOSE: construct starting structure of molecule(s)
+c
+c          iabin = 1  : ab Initio using sequence & 
+c                       variables given in input files
+c          iabin != 1 : sequence, variable information
+c                       from PDB-file
+c
+c          grpn:        N-terminal group
+c          grpc:        C-terminal group
+c
+c CALLS:   addend,bldmol,c_alfa,getmol,iendst, mklist, nursvr,
+C          pdbread,pdbvars,redseq,redvar,setmvs
+C
+c ----------------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
 
-      integer iabin, iendst, ntl, i, j, l, it, ier, ir, nursvr, i1, i2
-      integer its
-
-Cf2py character*80 optional, intent(in) :: seqfile = ' '
-Cf2py character*80 optional, intent(in) :: varfile = ' '
-
+cf2py character*80 optional, intent(in) :: seqfile = ' '
+cf2py character*80 optional, intent(in) :: varfile = ' ' 
+      
       character grpn*4,grpc*4
-      character navr*3, nars*4
+      character navr*3, nars*4  
       character seqfile*80, varfile*80
       integer ontlml
@@ -47,8 +44,8 @@
       readFromStdin = .false.
 
-      write (logString, *) 'init_molecule: Solvent: ', itysol
-      if (iabin.eq.1) then
-
-!     ----------------------------------------- get sequence for molecule(s)
+      write (*,*) 'init_molecule: Solvent: ', itysol
+      if (iabin.eq.1) then  
+         
+c     ----------------------------------------- get sequence for molecule(s)
          lunseq=11
          if (ntlml.gt.0) then
@@ -56,41 +53,40 @@
          endif
          if (iendst(seqfile).le.1.or.seqfile.eq.' ') then
- 1          write (logString, '(/,a,$)') ' file with SEQUENCE:'
+ 1          write (*,'(/,a,$)') ' file with SEQUENCE:'
             seqfil=' '
             read (*,'(a)',err=1) seqfil
             readFromStdin = .true.
-         else
+         else 
             seqfil = seqfile
-         endif
+         endif 
          call redseq
-
-         write (logString, *) 'File with sequence is ', 
-     &      seqfil(1:iendst(seqfil))
-
-!     --------------------------------- read & assemble data from libraries
-!     initial coordinates, interaction lists
-
+         
+         write (*,*) 'File with sequence is ', seqfil(1:iendst(seqfil))
+         
+c     --------------------------------- read & assemble data from libraries
+c     initial coordinates, interaction lists
+         
          ntl = ntlml
          do i=ontlml, ntl
-
+            
             call getmol(i)      ! assemble data from libraries
-
+            
             do j=1,6            ! initialize global parameters
                gbpr(j,i)=0.d0
             enddo
-
+            
             call bldmol(i)      ! co-ordinates
-
+            
             ntlml = i
             call addend(i,grpn,grpc) ! modify ends
             call setmvs(i) ! determine sets of moving atoms for given variables
             call mklist(i)      ! compile lists of interaction partners
-
+            
          enddo
-
-!     --------------------------- Read the initial conformation if necessary
-         if(readFromStdin) then
-            write (logString, '(a,$)') ' file with VARIABLES:'
-!
+         
+c     --------------------------- Read the initial conformation if necessary
+         if(readFromStdin) then 
+            write (*,'(a,$)') ' file with VARIABLES:'
+c     
             varfil=' '
             read(*,'(a)',end=2,err=2) varfil
@@ -100,24 +96,24 @@
          l=iendst(varfil)
          if (l.gt.0.and.varfil.ne.' ') then
-!            write (logString, '(1x,a,/)') varfil(1:l)
+            write (*,'(1x,a,/)') varfil(1:l)
             lunvar=13
-
+            
             call redvar         ! get vars. and rebuild
-
-         endif
-
- 2       write (logString, *) ' '
-
-!     -------------------- get: nvr,idvr, vlvr, olvlvr
+            
+         endif
+         
+ 2       write(*,*) ' '
+         
+c     -------------------- get: nvr,idvr, vlvr, olvlvr
          nvr = 0
          do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
-
+            
             if (.not.fxvr(i)) then
                nvr=nvr+1
                idvr(nvr)=i      ! index of not fixed var.
             endif
-
+            
             it=ityvr(i)
-
+            
             if (it.eq.3) then   ! torsion
                vlvr(i)=toat(iatvr(i))
@@ -128,12 +124,12 @@
             endif
 
-            olvlvr(i) = vlvr(i)
+            olvlvr(i) = vlvr(i) 
          enddo
-
+         
          ireg = 0
-
+         
       else                      ! =========================== from PDB
          if (iendst(seqfile).le.1) then
- 3          write (logString, '(/,a,$)') ' PDB-file:'
+ 3          write (*,'(/,a,$)') ' PDB-file:'
             seqfil=' '
             read (*,'(a)',err=3) seqfil
@@ -141,81 +137,81 @@
             seqfil = seqfile
          endif
-         write (logString, *) 'PDB structure ',seqfil(1:iendst(seqfil))
+         write (*,*) 'PDB structure ',seqfil(1:iendst(seqfil))
          print *, 'calling readpdb with ',seqfile
          call pdbread(seqfil,ier)
-
+         
          if (ier.ne.0) stop
-
+         
          call pdbvars()
-
+         
          ireg = 1
-
+         
       endif
-
-!     -------------------------- set var. amplitudes for simulations
-
+      
+c     -------------------------- set var. amplitudes for simulations
+      
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
-
+         
          if (ityvr(i).eq.3.and..not.fxvr(i)) then ! torsion
-
+            
             navr = nmvr(i)
-
+            
             ir = nursvr(i)
             nars = seq(ir)
-
+            
             if (                         navr(1:2).eq.'om'
-
-     &     .or.nars(1:3).eq.'arg'.and.(navr(1:2).eq.'x5'
-     &           .or.navr(1:2).eq.'x6')
-
-     &           .or.(nars(1:3).eq.'asn'.or.nars(1:3).eq.'asp')
-     &           .and.navr(1:2).eq.'x3'
-
-     &           .or.(nars(1:3).eq.'gln'.or.nars(1:3).eq.'glu')
-     &           .and.navr(1:2).eq.'x4'
-
-     &           ) then
-
-!     axvr(i) = pi/9.d0  ! 20 deg.
+            
+     #     .or.nars(1:3).eq.'arg'.and.(navr(1:2).eq.'x5'
+     #           .or.navr(1:2).eq.'x6')
+            
+     #           .or.(nars(1:3).eq.'asn'.or.nars(1:3).eq.'asp')
+     #           .and.navr(1:2).eq.'x3'
+            
+     #           .or.(nars(1:3).eq.'gln'.or.nars(1:3).eq.'glu')
+     #           .and.navr(1:2).eq.'x4'
+            
+     #           ) then
+            
+c     axvr(i) = pi/9.d0  ! 20 deg.
             axvr(i) = pi2       ! Trying out 360 deg. for these as well
-
+            
          else
             axvr(i) = pi2       ! 360 deg.
          endif
-
+         
       else
          axvr(i) = 0.d0
       endif
-
+      
       enddo                     ! vars.
-
-!     --------------------- initialize solvation pars. if necessary
+      
+c     --------------------- initialize solvation pars. if necessary
 
       if (itysol.ne.0) then
-
+         
          i1=iatrs1(irsml1(1))   ! 1st atom of 1st molecule
          i2=iatrs2(irsml2(ntlml)) ! last atom of last molecule
-
+         
          its = iabs(itysol)
-
+         
          do i=i1,i2             ! all atoms
             it=ityat(i)
             sigma(i)=coef_sl(its,it)
             rvdw(i) =rad_vdw(its,it)
-
+            
             if (nmat(i)(1:1).ne.'h') rvdw(i)=rvdw(i)+rwater
-
+            
          enddo
-
+         
       endif
 ! Initialize calpha array
       do i=ontlml, ntlml
-         call c_alfa(i,1)
+         call c_alfa(i,1)    
       enddo
 
 !     Initialize arrays used in the BGS update
-      call init_lund()
+      call init_lund()      
       return
       end
-
-
+      
+      
Index: main.f
===================================================================
--- main.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ main.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,61 +1,46 @@
-! **************************************************************
-! This file contains the:  main (SINGLE PROCESSOR JOBS ONLY,
-!                                FOR PARALLEL JOBS USE pmain)
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! CALLS: init_energy,init_molecule
-! CALLS TASK SUBROUTINE: anneal,canon,elp,minim,mulcan_par,
-!                        mulcan_sim,partem_s, or regul
-! CAN ALSO CALL MEASUREMENT ROUTINES: cnteny,contacts,helix,hbond,
-!                                    outpdb,outvar,rgyr,
-!                                    rmsinit and rsmdfun,zimmer
-! $Id: main.f 334 2007-08-07 09:23:59Z meinke $
-! **************************************************************
-
+c **************************************************************
+c This file contains the:  main (SINGLE PROCESSOR JOBS ONLY,
+C                                FOR PARALLEL JOBS USE pmain)
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+C CALLS: init_energy,init_molecule
+C CALLS TASK SUBROUTINE: anneal,canon,elp,minim,mulcan_par,
+c                        mulcan_sim,partem_s, or regul
+C CAN ALSO CALL MEASUREMENT ROUTINES: cnteny,contacts,helix,hbond,
+C                                    outpdb,outvar,rgyr,
+C                                    rmsinit and rsmdfun,zimmer
+c $Id: main.f 334 2007-08-07 09:23:59Z meinke $
+c **************************************************************
+      
       program main
 
-      use timer
       include 'INCL.H'
       include 'INCP.H'
-      double precision eps, temp, e, energy, enyshe_simple
-
-      integer iabin, imin, maxit, nequi
-      integer nsweep, nmes, ncalls, nacalls, i
-
       common/updstats/ncalls(5),nacalls(5)
       character*80 libdir, seqfile, varfile
       character grpn*4,grpc*4
       logical lrand,bgsposs
-      integer argc, status, argv_length
-      character(len=255) :: argv
 
-! =================================================== Energy setup
+c =================================================== Energy setup
 
-!            Directory for SMMP libraries
-!     Change the following directory path to where you want to put SMMP
-!     libraries of residues.
+c            Directory for SMMP libraries
+c     Change the following directory path to where you want to put SMMP
+c     libraries of residues. 
       libdir='./SMMP/'
 
-!     Set the maximum log level. The larger the number the more detailed
-!     the log.
-      MAXLOGLEVEL = 100
-!     File unit to use for the log file.
-      LOGFILEUNIT = 27
-      open(LOGFILEUNIT, file="smmp.log")
-
-!      The switch in the following line is now not used.
+c      The switch in the following line is now not used.
       flex=.false.        ! .true. for Flex  / .false. for ECEPP
 
-!     Choose energy type with the following switch instead ...
+c     Choose energy type with the following switch instead ...
       ientyp = 0
-!        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!        1  => FLEX
-!        2  => Lund force field
-!        3  => ECEPP with Abagyan corrections
-!
+c        0  => ECEPP2 or ECEPP3 depending on the value of sh2
+c        1  => FLEX 
+c        2  => Lund force field
+c        3  => ECEPP with Abagyan corrections
+c
 
       sh2=.false.         ! .true. for ECEPP/2; .false. for ECEPP3
@@ -69,5 +54,5 @@
       call init_energy(libdir)
 
-! ================================================= Structure setup
+c ================================================= Structure setup
 
       grpn = 'nh2' ! N-terminal group
@@ -76,14 +61,13 @@
       iabin = 1  ! =0: read from PDB-file
                  ! =1: ab Initio from sequence (& variables)
-      seqfile='polyq.seq'
-!      seqfile='polyA.pdb'
-      varfile='polyq.var'
-       varfile = ' '
-
+      seqfile='EXAMPLES/enkefa.seq'
+      varfile='EXAMPLES/enkefa.var'
+!       varfile = ' '
+      
       ntlml = 0
-      write (logString, *) 'Solvent: ', itysol
-!     Initialize random number generator.
+      write (*,*) 'Solvent: ', itysol
+c     Initialize random number generator.
       call sgrnd(31433)
-
+      
       if (itysol.eq.0.and.ientyp.eq.3) then
          print *,'Can not use Abagyan entropic corrections without '
@@ -94,8 +78,8 @@
       call init_molecule(iabin,grpn,grpc,seqfile,varfile)
 
-! Decide if and when to use BGS, and initialize Lund data structures
+c Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.75   ! Prob for BGS, given that it is possible
-! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob
-! 2 => temperature dependent choice
+c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+c 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
@@ -103,40 +87,25 @@
       if (ientyp.eq.2) call init_lundff
       if (ientyp.eq.3) call init_abgn
+      
 
-
-! ========================================  Add your task down here
+c ========================================  Add your task down here
 
       imin = 1 ! Quasi-Newton
       maxit = 15000 ! maximum number of iterations in minimization
       eps = 1.0d-7 ! requested precision
-!      call minim(imin, maxit, eps)
-!      call outvar(0, ' ')
-!     To do a canonical Monte Carlo simulation uncomment the lines below
-      nequi = 100
-      nsweep = 500
-      nmes = 10
-      temp = 300.0
-      lrand = .true.
-      E = energy()
-      write (logString, *) E, eyel,eyvw,eyhb,eyvr
-      call outpdb(1, "polyrQ.pdb")
-!      Canonical Monte Carlo
-      call init_timer()
-      call start_timer(1)
-      call canon(nequi, nsweep, nmes, temp, lrand)
-      call stop_timer(1)
+      call minim(imin, maxit, eps)
+c     To do a canonical Monte Carlo simulation uncomment the lines below
+!       nequi = 100
+!       nsweep = 50000
+!       nmes = 10
+!       temp = 300.0
+!       lrand = .true.
+c      Canonical Monte Carlo
+!       call canon(nequi, nsweep, nmes, temp, lrand)
 
-      E = 0
-!      call start_timer(1)
-!      do i =1, nsweep
-!         E = E + enyshe_simple()
-!      end do
-!      call stop_timer(1)
-      call evaluate(1)
-      print *,timingData(1)%average, "s.", E
-!      For simulated annealing uncomment the lines below
+c      For simulated annealing uncomment the lines below
 !      tmin = 200.0
 !      tmax = 500.0
 !      call anneal(nequi, nsweep, nmes, tmax, tmin, lrand);
-! ========================================  End of main
+c ========================================  End of main      
        end
Index: main.py
===================================================================
--- main.py	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
+++ main.py	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -0,0 +1,114 @@
+#!/usr/bin/env python
+# main.py
+#
+# Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+#                      Jan H. Meinke, Sandipan Mohanty
+
+## \mainpage pySMMP: Python bindings to SMMP v. 1.1.
+#    SMMP is a FORTRAN library for simulating proteins. It provides 
+#    minimization routines and various Monte Carlo methods. SMMP uses an all-atom
+#    representation of the protein. It stores the configuration within the 
+#    standard geometry model. In the standard geometry model the internal degrees
+#    of freedom, e.g., the dihedral angles, the bond lengths, etc. are stored and
+#    the cartesian coordinates are calculated on the fly. For more details on 
+#    the model SMMP uses and the functions it provides see the manual (manual.ps).
+#   
+#    pySMMP builds on SMMP. It provides python bindings to the functions and 
+#    global variables, but it uses classes to represent the Proteins and 
+#    algorithms. 
+#    
+#    \section sec_tutorial A Tutorial: A canonical Monte Carlo simulation of protein A
+#
+#    The basic setup is the same for most simulations. This tutorial takes you
+#    step by step to a running simulation. First we need to import the library
+#    \code 
+#         import smmp
+#     \endcode
+#    This makes the smmp routines available to the Python interpreter. Next we
+#    create the universe by initializing a universe.Universe object by first 
+#    importing the universe package and then setting the object:
+#    \code
+#        import universe
+#        myUniverse = universe.Universe(T=300)  
+#    \endcode
+#    This initializes the smmp library as well. We also set the initial 
+#    temperature of the universe to 300K. The Universe object initializes the 
+#    SMMP library and keeps track of global parameters, e.g, the temperature T.
+#    After you created a Universe, you can initialize a Protein. Proteins can
+#    be read from a sequence and a variable file or from a PDB file.
+#    \code
+#        import protein
+#        
+#        protA = protein.Protein("1bdd.seq", "1bdd.var")
+#        myUniverse.add(protA)
+#    \endcode
+#    Adding the protein to myUniverse makes the universe aware of it.
+#    Now you are ready to run a simulation. You can also querry the protein for 
+#    various properties, e.g., 
+#    \code
+#        print protA.rgyr()
+#    \endcode
+#    prints the radius of gyration of the protein.
+#    A canonical Monte Carlo algorithm is available in the algorithms package.
+#    \code
+#        import algorithms
+#        myMC = algorithms.CanonicalMonteCarlo(myUniverse, 1000, 10000)
+#    \endcode
+#    This sets up a simulation with 1000 steps for equilibration and a default 
+#    length of 10000 sweeps.
+#    The quickest way to run the simulation is by calling the run method of the 
+#    algorithm object myMC to do the entire Monte Carlo run.
+#    \code
+#        myMC.run()
+#    \endcode
+
+import sys, time
+from optparse import OptionParser
+from protein import *
+from universe import *
+from algorithms import CanonicalMonteCarlo
+
+if __name__ == "__main__":
+# Set up command line options    
+    usage = "usage: %prog [options] seq-filename"
+    parser = OptionParser(usage = usage, version="%prog 20050805")
+    parser.add_option("-v", "--variables", dest="varFileName",
+                  help="read amino-acid conformation from FILE", metavar="FILE")
+    parser.add_option("--equi", type="int", dest="nequi", default=100,
+                  help="number of sweeps for equilibration", metavar="n")
+    parser.add_option("--sweeps", type="int", dest="sweeps", default=10000,
+                  help="number of sweeps for annealing", metavar="n")
+    parser.add_option("--mes", type="int", dest="mes", default=10,
+                  help="number of sweeps between measurements", metavar="n")
+    parser.add_option("--Tmax", type="float", dest="tmax", default=1000,
+                  help="maximum temperature for annealing", metavar="T")
+    parser.add_option("--Tmin",  type="float", dest="tmin", default=100, 
+                  help="maximum temperature for annealing",metavar="T")
+
+    (options, args) = parser.parse_args()
+    if len(args) < 1:
+        parser.print_help()
+        sys.exit()
+    seqFileName = args[0]
+    
+# Start simulation setup.    
+    myUniv = Universe(T=300, st=0)   
+    p1 = Protein(seqFileName, options.varFileName)
+    p1.setOrigin((0, 0, 0), (0, 0, 0))
+    myUniv.add(p1)
+    T = 300.0
+    smmp.outpdb(1, "start.pdb")
+    print "E of starting configuration.", myUniv.energy()
+    ts = time.time()
+    smmp.minim(1, options.sweeps, 1.0E-12)
+
+    smmp.outpdb(1, "equi.pdb")
+    
+    t1 = time.clock()
+    print myUniv.energy(), myUniv.rgyr(), myUniv.helix(), p1.hbond(), (t1-ts)
+    p1.saveVariables("final.var")
+    smmp.outpdb(0, "final.pdb")
+    te = time.time()
+    print "The calculation took %ss." % (te - ts)
+ 
+    
Index: main_bgl_p.f
===================================================================
--- main_bgl_p.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ main_bgl_p.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,17 +1,17 @@
-!     **************************************************************
-!     
-!     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
-!     FOR SINGULAR PROCESSOR JOBS USE main)
-!     
-!     This file contains also the subroutine: p_init_molecule
-!     
-!     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!     Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!     
-!     CALLS init_energy,p_init_molecule,partem_p
-!     
-!     **************************************************************
+c     **************************************************************
+c     
+c     This file contains the   main (PARALLEL TEMPERING  JOBS ONLY,
+C     FOR SINGULAR PROCESSOR JOBS USE main)
+C     
+C     This file contains also the subroutine: p_init_molecule
+c     
+c     Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c     Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c     
+C     CALLS init_energy,p_init_molecule,partem_p
+C     
+c     **************************************************************
       program pmain
 
@@ -28,20 +28,20 @@
       logical newsta
 
-!c    Number of replicas 
+cc    Number of replicas 
       integer num_replica
-!c    Number of processors per replica
+cc    Number of processors per replica
       integer num_ppr
-!c    Range of processor for crating communicators
+cc    Range of processor for crating communicators
       integer proc_range(3)
-!c    Array of MPI groups
+cc    Array of MPI groups
       integer group(MAX_REPLICA), group_partem
-!c    Array of MPI communicators
+cc    Array of MPI communicators
       integer comm(MAX_REPLICA), partem_comm
-!c    Array of nodes acting as masters for the energy calculation.
+cc    Array of nodes acting as masters for the energy calculation.
       integer ranks(MAX_REPLICA)
-!c    Configuration switch
+cc    Configuration switch
       integer switch
       integer rep_id
-!     set number of replicas
+c     set number of replicas
       double precision eols(MAX_REPLICA)
       integer ndims, nldims, log2ppr, color
@@ -53,9 +53,9 @@
 
 
-!     MPI stuff, and random number generator initialisation
+c     MPI stuff, and random number generator initialisation
 
       call mpi_init(ierr)
 !       call pmi_cart_comm_create(comm_cart,ierr)
-      write (logString, *) "Initialized MPI. Now setting up communicators." 
+      write(*,*) "Initialized MPI. Now setting up communicators." 
       call flush(6)
       ndims = 4
@@ -81,5 +81,5 @@
       call MPI_Cart_GET(comm_cart, ndims, dims, periods, coords, ierr)
 
-      write (logString, *) ndims, dims, periods, coords
+      write(*,*) ndims, dims, periods, coords
       call flush(6)
 !       call VTSetup()
@@ -88,18 +88,18 @@
       call sgrnd(seed)          ! Initialize the random number generator
 
-!     =================================================== Energy setup
+c     =================================================== Energy setup
       libdir='SMMP/'      
-!     Directory for SMMP libraries
-
-!     The switch in the following line is now not used.
+c     Directory for SMMP libraries
+
+c     The switch in the following line is now not used.
       flex=.false.              ! .true. for Flex  / .false. for ECEPP
 
-!     Choose energy type with the following switch instead ...
+c     Choose energy type with the following switch instead ...
       ientyp = 0
-!     0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!     1  => FLEX 
-!     2  => Lund force field
-!     3  => ECEPP with Abagyan corrections
-!     
+c     0  => ECEPP2 or ECEPP3 depending on the value of sh2
+c     1  => FLEX 
+c     2  => Lund force field
+c     3  => ECEPP with Abagyan corrections
+c     
 
       sh2=.false.               ! .true. for ECEPP/2; .false. for ECEPP3
@@ -114,9 +114,9 @@
       call init_energy(libdir)
 
-!     calculate CPU time using MPI_Wtime()
+c     calculate CPU time using MPI_Wtime()
       startwtime = MPI_Wtime()
 
 
-!     ================================================= Structure setup
+c     ================================================= Structure setup
       grpn = 'nh2'              ! N-terminal group
       grpc = 'cooh'             ! C-terminal group
@@ -153,16 +153,16 @@
       ntlml = 0
 
-! Decide if and when to use BGS, and initialize Lund data structures 
+c Decide if and when to use BGS, and initialize Lund data structures 
       bgsprob=0.6    ! Prob for BGS, given that it is possible
-! upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
-! 2 => temperature dependent choice 
+c upchswitch= 0 => No BGS 1 => BGS with probability bgsprob 
+c 2 => temperature dependent choice 
       upchswitch=1
       rndord=.true.
       if (ientyp.eq.2) call init_lundff
-!     =================================================================
-!     Distribute nodes to parallel tempering tasks
-!     I assume that the number of nodes available is an integer 
-!     multiple n of the number of replicas. Each replica then gets n
-!     processors to do its energy calculation.
+c     =================================================================
+c     Distribute nodes to parallel tempering tasks
+c     I assume that the number of nodes available is an integer 
+c     multiple n of the number of replicas. Each replica then gets n
+c     processors to do its energy calculation.
       num_ppr = num_proc / num_replica
 
@@ -192,5 +192,5 @@
      &      + (coords(3)/ldims(3))*nblock(1)*nblock(2)
 
-      write (logString, *) myrank, color, ldims, nblock
+      write(*,*) myrank, color, ldims, nblock
 
       call mpi_comm_split(comm_cart,color,myrank,local_comm,ierr)
@@ -206,6 +206,6 @@
 !      call mpi_comm_group(mpi_comm_world,  group_world, error)
 
-!     The current version doesn't require a separate variable j. I
-!     could just use i * num_ppr but this way it's more flexible.
+c     The current version doesn't require a separate variable j. I
+c     could just use i * num_ppr but this way it's more flexible.
 !       j = 0
 !       do i = 1, num_replica 
@@ -216,5 +216,5 @@
 !          call mpi_group_range_incl(group_world, 1, proc_range, group(i)
 !      &                              ,error)
-!          write (logString, *) "Assigning rank ", j, proc_range, 
+!          write (*,*) "Assigning rank ", j, proc_range, 
 !      &               "to group", group(i)
 !          call flush(6)
@@ -227,5 +227,5 @@
 !              my_mpi_comm = comm(i)
 !              rep_id = i - 1
-!              write (logString, *) rep_id, "has comm", my_mpi_comm
+!              write (*,*) rep_id, "has comm", my_mpi_comm
 !              call flush(6)
 !          endif
@@ -233,5 +233,5 @@
 ! 
 ! c     Setup the communicator used for parallel tempering
-!       write (logString, *) "PTGroup=", ranks(:num_replica)
+!       write (*,*) "PTGroup=", ranks(:num_replica)
 !       call flush(6)
 !       call mpi_group_incl(group_world, num_replica, ranks, group_partem,
@@ -241,5 +241,5 @@
 ! 
 !       if (partem_comm.ne.MPI_COMM_NULL) then
-!          write (logString, *) partem_comm,myrank, "is master for ", rep_id, "."
+!          write (*,*) partem_comm,myrank, "is master for ", rep_id, "."
 !       endif
 
@@ -247,9 +247,9 @@
       call mpi_comm_size(my_mpi_comm,no,ierr)
       rep_id = color
-      write (logString, *) "My new rank is ", myrank, "of", no
+      write (*,*) "My new rank is ", myrank, "of", no
       call flush(6)
       if (myrank.eq.0) then 
          color = 1
-         write (logString, *) 'My rank and color:', myrank, color
+         write (*,*) 'My rank and color:', myrank, color
          call flush(6)
       else 
@@ -258,5 +258,5 @@
       call mpi_comm_split(comm_cart,color,0,partem_comm,ierr)
 
-!       write (logString, *) "Finalizing MPI."
+!       write(*,*) "Finalizing MPI."
 !       call flush(6)
 !       CALL mpi_finalize(ierr)
@@ -277,7 +277,7 @@
       nml = 1
 
-!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
       call rmsinit(nml,ref_pdb)
-!     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
+c     RRRRRRRRRRMMMMMMMMMMMMSSSSSSSSSSDDDDDDDDDDDDD
 
 !     READ  REFERENCE CONTACT MAP
@@ -294,6 +294,6 @@
       end do
 
-!     ========================================  start of parallel tempering run
-      write (logString, *) "There are ", no,
+c     ========================================  start of parallel tempering run
+      write (*,*) "There are ", no,
      &            " processors available for ",rep_id
       call flush(6)
@@ -303,11 +303,11 @@
       call partem_p(num_replica, nequi, nswp, nmes, nsave, newsta,
      &              switch, rep_id, partem_comm)
-!     ========================================  end of parallel tempering run
-!     calculate CPU time using MPI_Wtime()
+c     ========================================  end of parallel tempering run
+c     calculate CPU time using MPI_Wtime()
       endwtime = MPI_Wtime()
 
 
       if(my_pt_rank.eq.0) then
-         write (logString, *) "time for simulation using ", num_proc,
+         write(*,*) "time for simulation using ", num_proc,
      &        " processors =",  endwtime - startwtime, " seconds"
          call flush(6)
@@ -319,5 +319,5 @@
       enddo
 
-!     ========================================  End of main
+c     ========================================  End of main
       CALL mpi_finalize(ierr)
 
